- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QPickPointEvent
- Qt 6.9.2 Reference Documentation

# Qt3DRender::QPickPointEvent Class

class Qt3DRender::QPickPointEvent

The QPickPointEvent class holds information when a segment of a point cloud is picked. More...

Header: | `#include <QPickPointEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | PickPointEvent
Inherits: | Qt3DRender::QPickEvent
Status: | Deprecated

- List of all members, including inherited members

## Properties

- pointIndex : const uint

## Public Functions

| QPickPointEvent()
uint | pointIndex() const

## Detailed Description

See also QPickEvent.

## Property Documentation

### `[read-only]` pointIndex : const uint

Specifies the index of the point that was picked

Access functions:

uint | pointIndex() const

## Member Function Documentation

### QPickPointEvent::QPickPointEvent()

Constructs a new QPickPointEvent.

### uint QPickPointEvent::pointIndex() const

QPickPointEvent::pointIndex Returns the index of the picked point

Note: Getter function for property pointIndex.